VERSION 5.00
Begin VB.Form frmIntTest 
   Caption         =   "Speed 2! Test Integer versus Variant"
   ClientHeight    =   6000
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   4560
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   6000
   ScaleWidth      =   4560
   Begin VB.CommandButton cmdRunALL3 
      Caption         =   "&Run ALL 3"
      Default         =   -1  'True
      Height          =   495
      Left            =   2880
      TabIndex        =   0
      Top             =   240
      Width           =   1215
   End
   Begin VB.CommandButton cmdStop 
      Cancel          =   -1  'True
      Caption         =   "&End"
      Height          =   495
      Left            =   2880
      TabIndex        =   4
      Top             =   3600
      Width           =   1215
   End
   Begin VB.CommandButton cmdVariant 
      Caption         =   "&Variants"
      Height          =   495
      Left            =   2880
      TabIndex        =   3
      Top             =   2760
      Width           =   1215
   End
   Begin VB.CommandButton cmdShort 
      Caption         =   "&Short Integer"
      Height          =   495
      Left            =   2880
      TabIndex        =   2
      Top             =   1920
      Width           =   1215
   End
   Begin VB.CommandButton cmdLong 
      Caption         =   "&Long Integer"
      Height          =   495
      Left            =   2880
      TabIndex        =   1
      Top             =   1080
      Width           =   1215
   End
End
Attribute VB_Name = "frmIntTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'Integer/Variant Speed test
'Version 2
'
'Changes:
' 1. Added dots so you know it is running
' 2. Added DoEvents so End button is handled
'
'Problem:
'Keep clicking on Short integer, and
'the numbers shown are obviously wrong!
'
'Solution:
'Should disable all buttons except End button
'
'
'Need this to keep comments from jumping to subs!
'
Dim dummy As Integer
 
Private Sub cmdLong_Click()

Dim llCounter1 As Long
Dim llCounter2 As Long
Dim llAccum As Long
Dim ldStart As Date
Dim ldStop As Date
Dim lsMsg As String

ldStart = Now()
Print
Print "Long Integers:"
Print ldStart

For llCounter1 = 1 To 200
    llAccum = 0
    DoEvents
    If llCounter1 Mod 10 = 0 Then Print ".";
    For llCounter2 = 1 To 32000
        llAccum = llAccum + 1
    Next
Next

Call DispEnd(ldStart, ldStop)

cmdStop.SetFocus

End Sub

Private Sub DispEnd(ldStart As Date, ldStop As Date)

ldStop = Now()
Print
Print ldStop
ldStop = ldStop - ldStart
Print Format(ldStop, "hh:mm:ss")

End Sub

Private Sub cmdRunALL3_Click()

cmdLong_Click
cmdShort_Click
cmdVariant_Click

End Sub

Private Sub cmdShort_Click()

Dim liCounter1 As Integer
Dim liCounter2 As Integer
Dim liAccum As Integer
Dim ldStart As Date
Dim ldStop As Date
Dim lsMsg As String

ldStart = Now()
Print
Print "Short Integers:"
Print ldStart

For liCounter1 = 1 To 200
    liAccum = 0
    DoEvents
    If liCounter1 Mod 10 = 0 Then Print ".";
    For liCounter2 = 1 To 32000
        liAccum = liAccum + 1
    Next
Next

Call DispEnd(ldStart, ldStop)

cmdStop.SetFocus

End Sub

Private Sub cmdStop_Click()

Unload Me

End Sub

Private Sub cmdVariant_Click()

Dim lvCounter1 As Variant
Dim lvCounter2 As Variant
Dim lvAccum As Variant
Dim ldStart As Date
Dim ldStop As Date
Dim lsMsg As String

ldStart = Now()
Print
Print "Variants"
Print ldStart

For lvCounter1 = 1 To 200
    lvAccum = 0
    DoEvents
    If lvCounter1 Mod 10 = 0 Then Print ".";
    For lvCounter2 = 1 To 32000
        lvAccum = lvAccum + 1
    Next
Next

Call DispEnd(ldStart, ldStop)

cmdStop.SetFocus

End Sub

Private Sub Form_Unload(Cancel As Integer)

End

End Sub


